Skip to main content
GET
/
api
/
billing
/
status
Get Billing Status
curl --request GET \
  --url https://api.example.com/api/billing/status \
  --header 'Authorization: Bearer <token>'
{
  "has_payment_method": true,
  "account_balance": 0,
  "auto_reload_amount": 50,
  "auto_reload_enabled": false,
  "auto_reload_threshold": 10,
  "card": {
    "brand": "<string>",
    "exp_month": 123,
    "exp_year": 123,
    "id": "<string>",
    "last4": "<string>"
  },
  "cards": [],
  "default_payment_method_id": "<string>",
  "has_free_pricing": false,
  "low_balance": false,
  "remaining_balance": 0,
  "stripe_customer_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

has_payment_method
boolean
required
account_balance
number
default:0
auto_reload_amount
number
default:50
auto_reload_enabled
boolean
default:false
auto_reload_threshold
number
default:10
card
CardInfo · object
cards
CardInfo · object[]
default_payment_method_id
string | null
has_free_pricing
boolean
default:false
low_balance
boolean
default:false
remaining_balance
number
default:0
stripe_customer_id
string | null